Можно ли подключить репозитарии Debian 10? Тему закрываю - "прямого и простого" решения не найдено.

sdima75

New member
Сообщения
16
#1
Здравствуйте.
Я начинающий линускоид. Так-то мне "Астра" понравилась. Установил и работает. Единственное что не нравится так это старые пакеты программ (ветка Debian 9).
1 - Можно ли подключить репозитарии Debian 10 к "Орёлу"? Если, да, то как это правильно сделать?
2 - Повлияет ли подключение данных репозитареев на "внутреннею безопасность" всей системы (у нас всё же защищённая система)?

Если кто сможет грамотно ответить, то буду благодарен....



Далее буду описывать "своими словами" почему этим интересуюсь и с какой проблемой я столкнулся.
1 - Устанавливаю Астру так как так Windows 10 уже точно не доверяю. Вот и захотелось "защищённой" и бесплатной системы. :)))))))))))
2 - А теперь "грусный прикол"...
Просто столкнулся с тем что надо было установить Postgres 12. По инструкции на их официальном сайте не получилось. Потом добавил репозитарии из Debian 10 и при обновлении (sudo apt-get update и upgrade), то в конце писало (точно не помню) что-то вроде - "репозитарии не проверить и мы их не можем использовать". В пакетах появился Postgres 11, но устанавливаться тоже не хотел (писало вроде про битые пакеты). В итоге я взял и задокументировал с помощью знака "#" репозитарии Астры и Dibian 9. После этого система начала обновлять очень множество пакетов, но в конце удалила пакеты "FLY".... :-(((((((((((((((((((( В итоге сегодня я не смог войти в систему.... Вместо графического входа был консольный и когда я ввёл пароли, то далее была "хрень консольная" в которой я уже точно не хотел разбираться...

P.S. А пока, я пошёл систему переустанавливать.....
 
Последнее редактирование:

sdima75

New member
Сообщения
16
#3
Экспериментальный выпуск. Попробуйте с ним, пактно совместим с дебиан 10 https://download.astralinux.ru/astra/experimental/orel-2.13/iso/
Спасибо за ответ.
Вот только не могу подключить репозитарий через sources.list так что создал 2 дополнительные ветки:
1 - Не могу установить Postgresql 12 на Орёл
2 - Не могу подключить репозитарий - experimental на Orel
:)
 

sdima75

New member
Сообщения
16
#5
Не уверен, но кажется, что ссылка на репозиторий будет такая https://download.astralinux.ru/astra/experimental/orel-2.13/repository/

И в соурсе постгри астра указана, но насколько помню, под астру там нет ветки, меняйте на дебиан
Пробовал так в паке sources.list.d/pgdg.list заменить на строку
Код:
deb http://apt.postgresql.org/pub/repos/apt buster-pgdg main
Вывод экрана
Код:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 postgresql-12 : Зависит: postgresql-client-12
                 Зависит: postgresql-common (>= 182~) но 175astra2 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
попробовал
Код:
sudo apt install -f
не помогло.

Пробовал так в паке sources.list.d/pgdg.list заменить на строку
Код:
deb http://apt.postgresql.org/pub/repos/apt stretch-pgdg main
Ошибка
Код:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 postgresql-12 : Зависит: postgresql-client-12
                 Зависит: postgresql-common (>= 182~) но 175astra2 будет установлен
                 Зависит: libpq5 (>= 9.3~) но он не будет установлен
                 Рекомендует: sysstat но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
установил libpq5

по новой попробовал... но опять пишет...
Код:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 postgresql-12 : Зависит: postgresql-client-12
                 Зависит: postgresql-common (>= 182~) но 175astra2 будет установлен
                 Рекомендует: sysstat но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
 

Montfer

New member
Сообщения
891
#6
Значит, с 12-м постгри не получится. Если не принциальна версия, пробуйте другую. Насколько помню, 9.6 ставится
 

sdima75

New member
Сообщения
16
#7
Значит, с 12-м постгри не получится. Если не принциальна версия, пробуйте другую. Насколько помню, 9.6 ставится
На счёт postgres - просто в видео для обучения по SQL там 12 версию устанавливали.... Я не программист - так, для себя чисто... Но решил SQL изучить и знаю что в 10 дополнительные запросы сделали и я натыкался на них на ютубе (в примерах которые я для себя хотел использовать)... вот и решил 12 версию установить...

На счёт https://download.astralinux.ru/astra/experimental/orel-2.13/iso/
Не получилось... Сделал по их инструкции, но сначала выдало ошибку "про репозитарии", а потом появился значок (с право внизу) что есть обновления (около 1 300 шт) и я решил обновить.... Потом в окне обновления написало про ошибку и потом после перезагрузке компьютера система вроде запускается, но на моменте когда должно быть окно с паролем - "чёрный экран"...

Вот сейчас думаю - а не попробывать CentOS или бесплатную версию red hut для программистов... Так-то Астра мне понравилась - установил и всё работает и плюс "оперативки меньше есть" чем Debian fxce. Я на ней месяцев 8 был... "Одно но" пакеты бы по новее... а то postgres у них 9, а же 13 бета версия сейчас тестируется...

Спасибо бро тебе за помощь! :)
 

Montfer

New member
Сообщения
891
#8
Скорее всего вы допом подключили репозиторий дебиана и оттуда прилетело обновление для 1300 пакетов.
Признаюсь, что 2.13 использовал толко на виртуалке, но там ничего не сломалось, а после обновления пакетов из репозитория дебиана всё работало, но оставалось необновленным 3 или 5 пакетов.

Если уж вы нацелены только на новый софт, то да, нет смысла ставить астру, так как они обновляют пакеты еще реже, чем дебиан
 

sdima75

New member
Сообщения
16
#9
Скорее всего вы допом подключили репозиторий дебиана и оттуда прилетело обновление для 1300 пакетов.
Признаюсь, что 2.13 использовал толко на виртуалке, но там ничего не сломалось, а после обновления пакетов из репозитория дебиана всё работало, но оставалось необновленным 3 или 5 пакетов.

Если уж вы нацелены только на новый софт, то да, нет смысла ставить астру, так как они обновляют пакеты еще реже, чем дебиан
Спасибо за информацию! :)
 

YNA

New member
Сообщения
134
#10
Если хотите свежий, современный софт то ставьте Manjaro или OpenSUSE в редакции Tumbleweed.
По новизне софта ни чем даже Win 10 не уступают. :)
 

YNA

New member
Сообщения
134
#12
Мне удалось установить новейший GIMP используя Flatpak (см. рис). Новейший Gimp прекрасно работал, но сам процесс установки очень неудобный. Если как то разобраться с этим Flatpak-ом, то наверное можно много чего установить. Сейчас к сожалению ни чего проверить не могу, Астры больше нет, стоит Манджаро, а на ней проблем с новым софтом нет.
Вообще интересно было бы узнать про этот Flatpak побольше, может это есть выход для установки новейшего софта.
 

Вложения

sdima75

New member
Сообщения
16
#13
Мне удалось установить новейший GIMP используя Flatpak (см. рис). Новейший Gimp прекрасно работал, но сам процесс установки очень неудобный. Если как то разобраться с этим Flatpak-ом, то наверное можно много чего установить. Сейчас к сожалению ни чего проверить не могу, Астры больше нет, стоит Манджаро, а на ней проблем с новым софтом нет.
Вообще интересно было бы узнать про этот Flatpak побольше, может это есть выход для установки новейшего софта.
Спасибо за идею! :)
Я тут установил Debian 10 на Virtualbox. В репозитарии есть 11 версия... Систему обновил ... Не установилась... (я в а..е). Пишет про битые пакеты... CentOS почему-то не установился (было 2 попытки).
А Manjaro 1-2 года назад пробовал на свой ноут установить и не получилось. (Астра сразу заработала)...
 

YNA

New member
Сообщения
134
#14
1. Какая версия оси, на которой стоит Виртуал Бокс (например Windows 10, сборка 2004 и т. п.)
2. Запускался ли когда либо в системе гипервизор от Windows?
Дело в том, что ошибки (на первый взгляд не критические) установки систем на виртуальную машину очень похожи на несовместимость виртуализаций.
 

sdima75

New member
Сообщения
16
#15
1. Какая версия оси, на которой стоит Виртуал Бокс (например Windows 10, сборка 2004 и т. п.)
2. Запускался ли когда либо в системе гипервизор от Windows?
Дело в том, что ошибки (на первый взгляд не критические) установки систем на виртуальную машину очень похожи на несовместимость виртуализаций.
Я с Астры запускаю... Так пробую.... В Manjaro Virtualbox интернет "пипец еле-еле работает"...
Спасибо Вам за ответы... :)
Остановился на том, что попробую Debian или Manjaro установить на ноут или установлю Астру и буду 9 версию postgres использовать.
 

YNA

New member
Сообщения
134
#16
Мой вам совет - ставьте Астру! На мой взгляд (лично моё мнение) самый лучший дистрибутив, самый "человечный", просто скажу - сделан людьми и для людей! Её прелесть заключается в том, что в ней "живёт душа", (ну прям прям как в клипе Гарика Сукачёва "Долго-долго") ну это как домовой в старом доме. В новых домах ни какие домовые не живут - стенки очень тоненькие и они там не помещаются и души в этих домах нету. :)
Да, может быть старенький софт, но всё равно по новизне превзойдёт любой Минт или Убунту, особенно по установке Windows игрушек, тут Астра конкретно рулит. Конечно, с Манджаро трудно сравниться по новизне софта, но зачем оно мне нужно, когда у меня стоит Windows 10 и весь софт современен уж дальше некуда. Вообще то установлено 3 системы: Windows 10, Астра 2.12ю29, Манджаро 20.1, но Астра для меня самая лучшая! Жду с нетерпением, когда же выйдет новая версия 2.13.
Удачи! :)
 

oko

New member
Сообщения
522
#17
*в сторону*
Primo, зачем вы задаете вопросы по "Орлу" в ветке, посвященной "Смоленску"?
Secundo, зачем вы пытаетесь лепить Debian 10 в дистрибутив, в основе которого лежит Debian 9, не разобравшись с вопросом принципиальных различий релиза (это не сложно и не долго - Гугл в помощь)?
Tertio, зачем вы гонитесь за "новейшими" пакетами, если сами по себе "начинающий линускоид"?
Разберитесь для начала, что и как в штатном режиме работает. "Плохо" сделать всегда успеете...
Ну или можете как некоторые скакать с дистриба на дистриб, потом обратно на Win, потом опять туда-сюда, сетуя на выдуманные проблемы и вопя о душе...
ЗЫ Опус как бы адресован sdima75, но только в части первичного вопроса топикстартера. В остальном - от желания блевать, читая такое на форуме избытка чувств, ага...
 

YNA

New member
Сообщения
134
#18
Ну вот что получилось с Flatpak-ом. Можно ставить новые программы, но неизвестно, насколько стабильно они будут работать. Пока что ни каких нареканий, по крайне мере на GIMP, нет.
 

Вложения

sdima75

New member
Сообщения
16
#19
*в сторону*
Primo, зачем вы задаете вопросы по "Орлу" в ветке, посвященной "Смоленску"?
Secundo, зачем вы пытаетесь лепить Debian 10 в дистрибутив, в основе которого лежит Debian 9, не разобравшись с вопросом принципиальных различий релиза (это не сложно и не долго - Гугл в помощь)?
Tertio, зачем вы гонитесь за "новейшими" пакетами, если сами по себе "начинающий линускоид"?
Разберитесь для начала, что и как в штатном режиме работает. "Плохо" сделать всегда успеете...
Ну или можете как некоторые скакать с дистриба на дистриб, потом обратно на Win, потом опять туда-сюда, сетуя на выдуманные проблемы и вопя о душе...
ЗЫ Опус как бы адресован sdima75, но только в части первичного вопроса топикстартера. В остальном - от желания блевать, читая такое на форуме избытка чувств, ага...
1 - а) Вы правы на счёт
"Primo, зачем вы задаете вопросы по "Орлу" в ветке, посвященной "Смоленску"?"
- Это чисто мой косяк. Я признаю свою ошибку что по невнимательности перепутал "ветки ОС".
б) Но так же, на данном форум должны модераторы которые должны были перенести тему на другую "ветку". Так что это уже их "косяк".

2 - На счёт
Код:
"зачем вы пытаетесь лепить Debian 10 в дистрибутив, в основе которого лежит Debian 9".
Это Ваша ошибка - в моём первом посте данная причина описана. Специально для Вас.
Код:
Далее буду описывать "своими словами" почему этим интересуюсь и с какой проблемой я столкнулся.
1 - Устанавливаю Астру так как так Windows 10 уже точно не доверяю. Вот и захотелось "защищённой" и бесплатной системы. :)))))))))))
2 - А теперь "грусный прикол"...
Просто столкнулся с тем что надо было установить Postgres 12. По инструкции на их официальном сайте не получилось. Потом добавил репозитарии из Debian 10 и при обновлении (sudo apt-get update и upgrade), то в конце писало (точно не помню) что-то вроде - "репозитарии не проверить и мы их не можем использовать". В пакетах появился Postgres 11, но устанавливаться тоже не хотел (писало вроде про битые пакеты). В итоге я взял и задокументировал с помощью знака "#" репозитарии Астры и Dibian 9. После этого система начала обновлять очень множество пакетов, но в конце удалила пакеты "FLY".... :-(((((((((((((((((((( В итоге сегодня я не смог войти в систему.... Вместо графического входа был консольный и когда я ввёл пароли, то далее была "хрень консольная" в которой я уже точно не хотел разбираться...
3 - на счёт
Код:
В остальном - от желания блевать, читая такое на форуме избытка чувств, ага..
Делаю вывод - Вам бы только "ОБОСРАТЬ человека" и всё.
Посмотрите на пользователей "Montfer" и "YNA" и поучитесь у них доброте, культуре, воспитанности и тому как надо помогать людям.

Желаю Вам, чтоб в будущем Вы осознали что такое доброта и взаимопомощь. Удачи Вам! :)
 

oko

New member
Сообщения
522
#20
to sdima75
У вас явная проблема с поспешностью выводов (по всем позициям, ага). Так что считайте и поступайте как хотите - практика рассудит вне зависимости от культуры и доброты...
Для справки: это форум, а не техническая поддержка и тем более не институт благородных девиц. К тому же есть принципиальная разница между прямым наездом и размышлениями вслух...